Subject: Re: Is Git Add Supposed to Work Like This (git 2.50)?

From: Jon Forrest <[email-masked]>
Date: Tue, 9 Sep 2025 09:00:34 -0700

On 9/7/25 4:34 PM, Jeff King wrote:

> I guess one could argue either way (though probably not at this point in
> time, as switching behaviors would cause confusion). But one challenge
> with "partial success" like this is that the exit code is binary. If we
> return "0" even though some items were ignored, callers may miss a
> failure. If we return "1" even though some items were added, callers may
> not realize they've mutated the state (and might need to rollback
> depending on what they were trying to accomplish).

If this were a big deal, which it isn't, I'd suggest a command line
flag that says what to do if there's an invalid file specified on
the command line. One setting of the flag would result in the
current behavior and the other setting would result in all the
invalid file(s) being ignored and the valid file(s) being
handled normally.

Jon